package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.UserEquipment;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 用户设备关联Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IUserEquipmentService extends IService<UserEquipment> {
    /**
     * 查询用户设备关联
     * 
     * @param id 用户设备关联ID
     * @return 用户设备关联
     */
    UserEquipment selectUserEquipmentById(Long id);

    /**
     * 查询用户设备关联列表
     * 
     * @param userEquipment 用户设备关联
     * @return 用户设备关联集合
     */
    List<UserEquipment> selectUserEquipmentList(UserEquipment userEquipment);

    /**
     * 新增用户设备关联
     * 
     * @param userEquipment 用户设备关联
     * @return 结果
     */
    int insertUserEquipment(UserEquipment userEquipment);

    /**
     * 修改用户设备关联
     * 
     * @param userEquipment 用户设备关联
     * @return 结果
     */
    int updateUserEquipment(UserEquipment userEquipment);

    /**
     * 批量删除用户设备关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteUserEquipmentByIds(String ids);

    /**
     * 删除用户设备关联信息
     * 
     * @param id 用户设备关联ID
     * @return 结果
     */
    int deleteUserEquipmentById(Long id);

    List<UserEquipment> getEquipmentByUserId(Long userId);

    int deleteUserEquipmentByEquipmentId(Long id);

    UserEquipment selectUserAndEquipment(Long userId, Long id);

    int selectCountByUserIdAndDeviceId(UserEquipment userEquipment1);

    int selectListByEquipmentId(Long id);

    int deleteUserEquipmentByUserId(Long userId,Long deviceId);

    int selectListByUserId(Long userId);

    List<UserEquipment> selectUserEquipmentNum(UserEquipment userEquipment);

    List<UserEquipment> selectUserEquipmentNumByUserId(UserEquipment userEquipment);

    List<Long> selectEquipmentIdByUserId(Long userId);

    List<Long> selectEquipmentIdByEquipmentId(Long id);
}
